<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('tax_formats', function (Blueprint $table) {
            $table->id();

            $table->string('serie', 15)->unique();  // Serie del Formato
            $table->string('base_color', 10);       // Color predominante del PDF
            $table->string('url_logo', 250);        // Logo a colocar en el PDF

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('tax_formats');
    }
};
